Subject: bug#38734: 27.0.60; C-c C-p Warning - 'python-shell-interpreter' doesn't seem to support readline ...

From: Pankaj Jangid <[email-masked]>
Date: Wed, 25 Dec 2019 09:49:25 +0000

>> In python-mode, when I pressed C-c C-p to launch Python shell it
>> produced below warning. I am on MacOS Catalina 10.15.2. On MacOS
>> terminal, the python-shell opens without any warning.
>
> Do you use python shipped with MacOS?
>
> Mentioned section of the etc/PROBLEMS file has explanation:
>
> This happens when python uses a libedit based readline module, which
> is the default on macOS.
>
> and link to bug#25753: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=25753
>
> I'm using python installed via homebrew and native completions works fine.

Yes. With homebrew version it is working fine. And since this is
duplicate of 25753, I'll close this.

I was wondering why the python shell is working fine in the native
terminal. Are they not using readline?